# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [3.3.0](https://github.com/mimshwright/pixi-tagged-text/compare/v3.2.0...v3.3.0) (2022-02-25)

### Features

- **warnings:** added an errorHandler in the options ([89bf6c8](https://github.com/mimshwright/pixi-tagged-text/commit/89bf6c85a7e4ad5a1fe84bf398d5f1035000812e)), closes [#204](https://github.com/mimshwright/pixi-tagged-text/issues/204)

### Refactors

- **pixiutils:** removed an unused function from pixiUtils ([8b03623](https://github.com/mimshwright/pixi-tagged-text/commit/8b036232dced07a2bfc80e0b7948a8e591b76eef))

### Chore

- **tests:** mocked the console object in tests ([0d3266e](https://github.com/mimshwright/pixi-tagged-text/commit/0d3266ee466dfc6e4921ac6581b22c716c4307a9)), closes [#204](https://github.com/mimshwright/pixi-tagged-text/issues/204)

## [3.2.0](https://github.com/mimshwright/pixi-tagged-text/compare/v3.1.0...v3.2.0) (2022-02-24)

### Chore

- **deps:** upgraded Pixi to latest version 6.2.x ([377caa1](https://github.com/mimshwright/pixi-tagged-text/commit/377caa12f9a34221e4d96e285028c0fecc886cdc))
- **deps:** Upgraded pixi.js to latest version 6 release ([d168353](https://github.com/mimshwright/pixi-tagged-text/commit/d16835378c82c6758646970722bec10a6b52aef7))

## [3.1.0](https://github.com/mimshwright/pixi-tagged-text/compare/v3.0.0...v3.1.0) (2022-02-23)

### Features

- **adjustbaseline:** added a style property 'adjustBaseline' ([a3d7c4c](https://github.com/mimshwright/pixi-tagged-text/commit/a3d7c4c473d4cb39ad2ae870fed15b4040e6b164)), closes [#108](https://github.com/mimshwright/pixi-tagged-text/issues/108)

### Documentation

- **readme:** clarified in README that styles inherit from PIXI.TextStyle ([0cba2b9](https://github.com/mimshwright/pixi-tagged-text/commit/0cba2b970d920ea19fd962810417c188bf7054ca)), closes [#193](https://github.com/mimshwright/pixi-tagged-text/issues/193)

## [3.0.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.7.1...v3.0.0) (2022-02-21)

### ⚠ BREAKING CHANGES

- **pixi.js v6:** Going forward, this project will target v6 of pixi.js

### Refactors

- **pixi.js v6:** added support for pixi.js@~6.1.0 ([bfcc3a6](https://github.com/mimshwright/pixi-tagged-text/commit/bfcc3a6767da3666d7800c172451de2715df1e17)), closes [#119](https://github.com/mimshwright/pixi-tagged-text/issues/119) [#52](https://github.com/mimshwright/pixi-tagged-text/issues/52)

### [2.7.1](https://github.com/mimshwright/pixi-tagged-text/compare/v2.7.0...v2.7.1) (2022-02-21)

### Bug Fixes

- **letterspacing for icon images:** added letterSpacing between icon images ([8332d08](https://github.com/mimshwright/pixi-tagged-text/commit/8332d08ec96087fd936d25bd500d7a4b6444f901)), closes [#194](https://github.com/mimshwright/pixi-tagged-text/issues/194)
- **letterspacing:** improved support for letterSpacing ([006bafe](https://github.com/mimshwright/pixi-tagged-text/commit/006bafeae3f3ab634307893c0faec63636810658)), closes [#203](https://github.com/mimshwright/pixi-tagged-text/issues/203)

### Chore

- **tests:** removed a skipped test ([db83523](https://github.com/mimshwright/pixi-tagged-text/commit/db8352316b2a54a9cafd587d9de06657b914c851))

## [2.7.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.6.0...v2.7.0) (2022-02-17)

### Features

- **adjustFontBaseline:** Added basic support for overriding font properties. ([52db534](https://github.com/mimshwright/pixi-tagged-text/commit/52db534d574cc9fcc94569ca2b90899f493abe98)), closes [#108](https://github.com/mimshwright/pixi-tagged-text/issues/108)

## [2.6.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.5.6...v2.6.0) (2022-02-16)

Since several patches related to the changelog and dependabot updates were released as I configured `standard-version`, I'm combining the following patches into 2.6.0

- [2.5.6](https://github.com/mimshwright/pixi-tagged-text/compare/v2.5.5...v2.5.6)

- [2.5.5](https://github.com/mimshwright/pixi-tagged-text/compare/v2.5.4...v2.5.5)

- [2.5.4](https://github.com/mimshwright/pixi-tagged-text/compare/v2.5.3...v2.5.4)

- [2.5.3](https://github.com/mimshwright/pixi-tagged-text/compare/v2.5.2...v2.5.3)

- [2.5.2](https://github.com/mimshwright/pixi-tagged-text/compare/v2.5.1...v2.5.2)

- [2.5.1](https://github.com/mimshwright/pixi-tagged-text/compare/v2.5.0...v2.5.1)

### Documentation

- **changelog:** retroactively completed the changelog by hand based on git history [7830fb4]
- **changelog:** Added changelog.
- **changelog:** Added standard-version and commitizen for automating changelogs.
- **changelog:** added a pretteir fix for changelog before commit so it doesn't break ([42e924d](https://github.com/mimshwright/pixi-tagged-text/commit/42e924deedbfc70119465d39b9332f3602a8a759))

### Chore

- **deps-dev:** bump @types/emoji-regex from 8.0.0 to 9.2.0 ([780bc63](https://github.com/mimshwright/pixi-tagged-text/commit/780bc63656ab071a9fb9a75febe75215ce00da06))
- **deps-dev:** bump @types/jest from 27.0.3 to 27.4.0 ([ad7b072](https://github.com/mimshwright/pixi-tagged-text/commit/ad7b0721ad2d594f14b78835e515eb6be8d1d24c))
- **deps:** bump follow-redirects from 1.14.1 to 1.14.8 ([23db225](https://github.com/mimshwright/pixi-tagged-text/commit/23db22547c2481dbaea3b9778b46fe68906604d6))
- **deps:** bump nanoid from 3.1.23 to 3.2.0 ([0789c1f](https://github.com/mimshwright/pixi-tagged-text/commit/0789c1faed1fe18e6226f2df884a15250902fbaf))
- **deps-dev:** Several additional dependabot updates

## [2.5.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.4.0...v2.5.0) (2021-12-06)

- fix: #174 - Added paragraph spacing

- chore(deps): Updated node version
- chore(deps-dev): upgraded prettier, jsdom, @types/jest, typescript, microbundle

## [2.4.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.3.6...v2.4.0) (2021-11-17)

- fix(icons): #179 Icon sprites now scale when fontscale is set. can be overridden with the scaleIcons flag in options

### [2.3.6](https://github.com/mimshwright/pixi-tagged-text/compare/v2.3.5...v2.3.6) (2021-11-17)

- fix: #180 regarding regex flag

- chore(deps-dev): upgraded jsdom

### [2.3.5](https://github.com/mimshwright/pixi-tagged-text/compare/v2.3.4...v2.3.5) (2021-11-05)

- fix: #171 - Error when using justified layout on a line with only whitespace.

### [2.3.4](https://github.com/mimshwright/pixi-tagged-text/compare/v2.3.3...v2.3.4) (2021-11-04)

- fix: resolves issue with emoji-regex version

- chore(deps): Upgraded node version
- chore(deps-dev): upgraded microbundle

### [2.3.3](https://github.com/mimshwright/pixi-tagged-text/compare/v2.3.2...v2.3.3) (2021-10-27)

- chore(deps-dev): upgraded typescript
- chore(deps): upgraded emoji-regex

### [2.3.2](https://github.com/mimshwright/pixi-tagged-text/compare/v2.3.1...v2.3.2) (2021-10-27)

- chore(deps-dev): upgraded http-server, husky, standard-version

### [2.3.1](https://github.com/mimshwright/pixi-tagged-text/compare/v2.3.0...v2.3.1) (2021-10-15)

- chore(deps-dev): upgraded @typescript-eslint/eslint-plugin, jsdom, @typescript-eslint/parser, @types/jest, prettier, http-server, typescript, eslint-plugin-prettier, husky
- chore(deps): upgraded tmpl, upgraded tar

## [2.3.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.11...v2.3.0) (2021-08-05)

- feat(text-decoration): Adds support for default color and thickness of text decorations.

- chore(deps-dev): upgraded @typescript-eslint/eslint-plugin, eslint, jsdom, @typescript-eslint/parser
- chore(deps): upgraded tar

### [2.2.11](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.10...v2.2.11) (2021-08-02)

- feat: Added defaultOptions as a static property

### [2.2.10](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.9...v2.2.10) (2021-07-29)

- feat: Added defaultStyles as a static property

### [2.2.9](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.8...v2.2.9) (2021-07-28)

- NO CHANGES

### [2.2.8](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.7...v2.2.8) (2021-07-28)

- Fixes issue where space from previous line appears on next line.

- chore(deps-dev): upgraded @typescript-eslint/eslint-plugin, @typescript-eslint/parser

### [2.2.7](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.6...v2.2.7) (2021-07-25)

- fix(wordWrap): #100, #118 - weird issues with word wrapping when the last word would cause the line to wrap.

- chore(deps-dev): updated dependencies

### [2.2.6](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.5...v2.2.6) (2021-07-22)

- fix: minor fix for typescript types

### [2.2.5](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.4...v2.2.5) (2021-07-22)

- chore: Changed target for tsconfig

- chore(deps-dev): upgraded @typescript-eslint/parser, @typescript-eslint/eslint-plugin

### [2.2.4](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.3...v2.2.4) (2021-07-12)

- fix: Fixed bugs with wrapping emoji.
- fix: Changed how files are compiled to fix issue with regexp

- chore(deps-dev): upgraded husky

### [2.2.3](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.2...v2.2.3) (2021-07-12)

- feat(emoji): #71 Added support for emoji

- chore(deps-dev): upgraded @types/jest, @typescript-eslint/parser, @typescript-eslint/eslint-plugin

### [2.2.2](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.2-beta1...v2.2.2) (2021-07-06)

- fix: #106 - Changed the method for scaling text to get sharper results by scaling up the font-size and inverting the text-scale.

- chore(deps-dev): upgraded @typescript-eslint/parser, @typescript-eslint/eslint-plugin, typescript, husky, eslint

### [2.2.1](https://github.com/mimshwright/pixi-tagged-text/compare/v2.2.0...v2.2.1) (2021-06-30)

- fix: changed how fontScales are handled in edge cases

## [2.2.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.1.4...v2.2.0) (2021-06-30)

- feat: #87 - Added fontScaleWidth and fontScaleHeight

- chore(deps-dev): upgraded prettier & other dependencies

### [2.1.4](https://github.com/mimshwright/pixi-tagged-text/compare/v2.1.3...v2.1.4) (2021-06-27)

- feat: #57 - Allow setting sprite map sprites using the same inputs as Sprite.from() or Texture.from(). Added ability to work with sprites from non-sprite references including URLs

### [2.1.3](https://github.com/mimshwright/pixi-tagged-text/compare/v2.1.2...v2.1.3) (2021-06-26)

- fix: #60 - wordWrap:false is now supported and weird values for wordWrapWidth like -1 and NaN are ignored.

- chore(deps-dev): updated dev dependencies on jsdom and canvas

### [2.1.2](https://github.com/mimshwright/pixi-tagged-text/compare/v2.1.1...v2.1.2) (2021-06-25)

- NO CHANGES

### [2.1.1](https://github.com/mimshwright/pixi-tagged-text/compare/v2.1.0...v2.1.1) (2021-06-25)

- feat(text-decoration): Support for underline, overline, and strikethrough #68

- fix:moved default styles to style to avoid circular dependency

- chore(deps-dev): upgraded @typescript-eslint/parser, @typescript-eslint/eslint-plugin
- chore(deps): upgraded postcss

## [2.1.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.1.0-beta.1...v2.1.0) (2021-06-25)

- feat: #54 Added text-transform but now seeing issues with positioning of the text since the layout happens before hte transformation.
- Fix(text-decoration): Got the text decorations working much better. Still to fix, make decoration lines stretch across entire tag / line. More testing of edge cases.

- chore(demo): updated pixi version in demo
- chore(demo): Updated demos to avoid warnings in console

- chore(deps-dev): upgraded microbundle, prettier, microbundle, typescript, eslint, @typescript-eslint/eslint-plugin, @typescript-eslint/parser
- chore(deps): upgraded ws

### [2.0.3](https://github.com/mimshwright/pixi-tagged-text/compare/v2.0.2...v2.0.3) (2021-05-30)

- fix #67 - icon sizes at the beginning of a line

- chore(deps-dev): upgraded eslint

### [2.0.2](https://github.com/mimshwright/pixi-tagged-text/compare/v2.0.1...v2.0.2) (2021-05-21)

- Fixed #66 - self-closing tags
- Fixed prettier issue

### [2.0.1](https://github.com/mimshwright/pixi-tagged-text/compare/v2.0.0...v2.0.1) (2021-05-19)

- fix: #49 Added stroke size into calculation of baseline.
- chore(test): Unflagged some tests that were being skipped.

- chore(deps-dev): upgraded canvas, @typescript-eslint/parser

## [2.0.0](https://github.com/mimshwright/pixi-tagged-text/compare/v2.0.0-beta.7...v2.0.0) (2021-05-16)

- First full version since forking from pixi-rich-text
